%bcond_without check
%global rustflags_debuginfo 1

Summary:        Helper program to build and install c-like libraries
Name:           cargo-c
Version:        0.9.18
Release:        3%{?dist}
License:        MIT
URL:            https://crates.io/crates/cargo-c
Source0:        https://github.com/lu-zero/cargo-c/archive/refs/tags/v%{version}.tar.gz #/%{name}-%{version}.tar.gz
# cd source directory; cargo vendor; tar
Source1:        vendor.tar.gz

BuildRequires:  cargo rust-toolset
BuildRequires:  pkgconfig(openssl)

%description
cargo applet to build and install C-ABI compatible dynamic and static libraries.
It produces and installs a correct pkg-config file, a static library and
a dynamic library, and a C header to be used by any C (and C-compatible) software.


%prep
%autosetup -p1
%cargo_prep -V 1


%build
%cargo_build


%install
%cargo_install


%if %{with check}
%check
%cargo_test
%endif


%files
%license LICENSE
%doc README.md
%{_bindir}/cargo-capi
%{_bindir}/cargo-cbuild
%{_bindir}/cargo-cinstall
%{_bindir}/cargo-ctest


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.18-3
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 27 2023 rockerzhu <rockerzhu@tencent.com> - 0.9.18-2
- Enable check.

* Sun Apr 23 2023 rockerzhu <rockerzhu@tencent.com> - 0.9.18-1
- Initial build.
